clang-tools 10.0.0

Classes | Namespaces | Typedefs
Function.h File Reference
`#include "llvm/ADT/FunctionExtras.h"`
`#include "llvm/Support/Error.h"`
`#include <mutex>`
`#include <tuple>`
`#include <utility>`
Include dependency graph for Function.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::Event< T >
| An Event<T> allows events of type T to be broadcast to listeners. More...
class | clang::clangd::Event< T >::Subscription

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Typedefs
template<typename T >
using | clang::clangd::Callback = llvm::unique_function< void(llvm::Expected< T >)>
| A Callback<T> is a void function that accepts Expected<T>. More...